﻿using System;
using System.Collections.Generic;
using System.ServiceModel;

namespace BA.WorkflowServices.Demos.Contracts
{
    [ServiceContract(Namespace = "urn://BA.WorkflowServices.Demos.com")]
    public interface IProductDistributor
    {
        [OperationContract]
        void BeginOrder();

        [OperationContract]
        void AddProductToOrder(Int32 productId);

        [OperationContract]
        List<PriceQuote> GetQuotes();

        [OperationContract]
        List<PriceQuote> PlaceOrder();
    }
}
