﻿using System;

using BA.WorkflowServices.Demos.Contracts;

namespace BA.WorkflowServices.Demos.ServicesInCode
{
    public class ProductSupplier : IProductSupplier
    {
        #region IProductSupplier Members

        public PriceQuote GetQuote(int productId)
        {
            PriceQuote quote = new PriceQuote();
            quote.ProductId = productId;
            
            // look up the price
            quote.Price =
                productId < 0 ? -1.00M :
                productId < 100 ? 1.99M :
                productId < 200 ? 150.95M :
                productId < 500 ? 9999.99M :
                0.00M;
            
            return quote;
        }

        #endregion
    }
}
